#main{
    height: 90vh;
    width: 100%;
    background-image: url('../../assets/images/with\ florr.jpg');
    background-size: 100% 100%;
    .toggle{
        position: absolute;
        right: 0%;
        font-size: 5vh;
        top: 50%;
    }
    .toggle-chat{
        position: absolute;
        left: 0%;
        font-size: 5vh;
        top: 50%;
    }
    #mascot{
        position: absolute;
        height: 20%;
        top:70%;
        z-index: 25;
    }
    .mascot{
        animation: mascot 6s 1;
    }
    .contain{
        height: 100%;
        display: grid;
        grid-template-columns: repeat(3, 33.33%);
        #wall{
            grid-column: 1/2;
            height: 90vh;
            .graf{
                border : solid;
                background-color: white;
                position: absolute;
                top:20%;
                left: 15%;
                width: 18%;
                height: 50%;
                z-index: 40;
                transition: all 0.5s;
                .graf-clue{
                    width: 100%;
                    height: auto;
                    object-fit: contain;
                }
            }
            .big-n{
                width: 25%;
                height: 70%;
            }
        }
        #door{
            grid-column: 2/3;
            height: 90vh;
            .d-img{
                background-image: url('../../assets/images/door.png');
                background-size: 100% 100%;
                position: relative;
                top:17.5%;
                left: 18.3%;
                width: 50.5%;
                height: 60%;
                .d-lock{
                    background-image: url('../../assets//images/lock.png');
                    background-size: 100% 100%;
                    position: relative;
                    top: 40%;
                    left: 68%;
                    height: 13%;
                    width: 20%;
                }
            }
        }
        #photo{
            grid-column: 3/4;
            height: 90vh;
            .pho-3{
                margin-left: 15%;
            }
            .no-p2{
                left: 37%;
            }
        }
        .p-img{
            background-image: url('../../assets/images/photo.png');
            background-size: 100% 100%;
            position: relative;
            top:30%;
            left: 10%;
            width: 27%;
            height: 23%;
            .clue{
                position: relative;
                top: 7%;
                left: 9%;
                height: 86%;
                width: 81.9%;
                .clue-img{
                    /*width: auto;
                    max-height: 100%;
                    object-fit: contain;*/
                    height: 100%;
                    width: 100%;
                }
            }
        }
    }
}

@keyframes mascot {
    0%{
        left : 0%;
    }
    45%{
        transform: scaleX(1);
    }
    50%{
        left : 70%;
        transform: scaleX(-1);
    }
    95%{
        transform: scaleX(-1);
    }
    100%{
        left : 0%;
    }
}